Activate Private iPXE boot feature for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/features/private_ipxe_boot/activate

A POST request to /v1/hosts/dedicated_servers/{server_id}/features/private_ipxe_boot/activate activates the Private iPXE boot feature. An iPXE configuration should be specified as a string in the request body. Learn more in the iPXE Boot section.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a dedicated server.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/jneg8Daw/features/private_ipxe_boot/activate" \  -H "Content-Type: application/json" \  -d '{    "ipxe_config": "#!ipxe\\\\n chain --autofree image.efi"  }'
{  "name": "private_ipxe_boot",  "status": "activation"}
{  "message": "Incompatible feature state",  "code": "INCOMPATIBLE_FEATURE_STATE"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}